org.springframework.web.reactive.result.method.annotation

## Class ModelMethodArgumentResolver

- java.lang.Object
- - org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport
  - - org.springframework.web.reactive.result.method.annotation.ModelMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class ModelMethodArgumentResolver
    extends HandlerMethodArgumentResolverSupport
    implements SyncHandlerMethodArgumentResolver

Resolver for a controller method argument of type `Model` that can also be resolved as a `Map`.

A Map return value can be interpreted in more than one ways depending on the presence of annotations like `@ModelAttribute` or `@ResponseBody`. As of 5.2 this resolver returns false if a parameter of type `Map` is also annotated.

Since:
  5.2
Author:
  Rossen Stoyanchev

### Field Summary

### Fields inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`logger`

### Constructor Summary

Constructors
Constructor and Description
`ModelMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgumentValue(org.springframework.core.MethodParameter parameter, BindingContext context, org.springframework.web.server.ServerWebExchange exchange)` Resolve the value for the method parameter synchronously.
`boolean` `supportsParameter(org.springframework.core.MethodParameter param)` Whether this resolver supports the given method parameter.

### Methods inherited from class org.springframework.web.reactive.result.method.HandlerMethodArgumentResolverSupport

`checkAnnotatedParamNoReactiveWrapper, checkParameterType, checkParameterTypeNoReactiveWrapper, getAdapterRegistry`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.web.reactive.result.method.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### ModelMethodArgumentResolver

    public ModelMethodArgumentResolver(org.springframework.core.ReactiveAdapterRegistry adapterRegistry)

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter param)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether this resolver supports the given method parameter.

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Parameters:
  `param` - the method parameter

#### resolveArgumentValue

    public Object resolveArgumentValue(org.springframework.core.MethodParameter parameter,
                                       BindingContext context,
                                       org.springframework.web.server.ServerWebExchange exchange)

Description copied from interface: `SyncHandlerMethodArgumentResolver`
Resolve the value for the method parameter synchronously.

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter
  `context` - the binding context to use
  `exchange` - the current exchange
Returns:
  the resolved value, if any